#include <iostream>

int main()
{
    int n;
    int l;
    std::cin >> n >> l;

    bool nasao = false;
    
    for (int i = 0; i < n; i++)
    {
        int visinaStalaktita;
        std::cin >> visinaStalaktita;
        
        if (visinaStalaktita <= l)
        {
            std::cout << i + 1;
            nasao = true;
            break;
        }
    }
    
    if (!nasao)
        std::cout << "-1";
    
    return 0;
}